Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.databeans
Class Res

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--oracle.ide.util.ArrayResourceBundle
                  |
                  +--oracle.jbo.html.databeans.Res

public class Res
extends oracle.ide.util.ArrayResourceBundle

Field Summary
`static int` | `BUTTON_ADD_CONDITION`
`static int` | `BUTTON_CLEAR_QUERY`
`static int` | `BUTTON_CONNECT`
`static int` | `BUTTON_EXECUTE_QUERY`
`static int` | `BUTTON_POST_CHANGES`
`static int` | `BUTTON_SAVE_CHANGES`
`static int` | `COLUMN_CONDITION_PROMPT`
`static int` | `COLUMN_NAME_PROMPT`
`static int` | `COLUMN_VALUE_PROMPT`
`static int` | `COMMIT_CHANGES`
`static int` | `DEFAULT_HOST_NAME`
`static int` | `DELETE_RECORD`
`static int` | `EDIT_CURRENT_RECORD`
`static int` | `ERROR_TEXT`
`static int` | `FIND_FORM_TITLE`
`static int` | `GOTO_FIRST_RECORD`
`static int` | `GOTO_LAST_RECORD`
`static int` | `GOTO_LOGIN_FORM`
`static int` | `GOTO_LOGOUT_FORM`
`static int` | `GOTO_NEXT_PAGE`
`static int` | `GOTO_NEXT_RECORD`
`static int` | `GOTO_PREV_PAGE`
`static int` | `GOTO_PREV_RECORD`
`static int` | `GOTO_QUERY_FORM`
`static int` | `GOTO_RECORD_NUMBER`
`static int` | `INSERT_RECORD`
`static int` | `MSG_CHANGES_CANCELLED`
`static int` | `MSG_CHANGES_SAVED`
`static int` | `MSG_CONDITION`
`static int` | `MSG_DISCONNECTED`
`static int` | `MSG_NEW_ROW_NOT_SAVE`
`static int` | `MSG_NO_QRY_COLS`
`static int` | `MSG_NO_RECORD`
`static int` | `MSG_NODATA`
`static int` | `MSG_QRY_WAS_RUN`
`static int` | `MSG_VO_NOT_FOUND`
`static int` | `MSG_VO_NOT_SELF_REF`
`static int` | `NO_MORE_ROWS_MESSAGE`
`static int` | `PROMPT_PASSWORD`
`static int` | `PROMPT_USER_NAME`
`static int` | `QRY_BETWEEN`
`static int` | `QRY_CONTAINS`
`static int` | `QRY_CONTAINS_MULTIPLE`
`static int` | `QRY_ENDS_WITH`
`static int` | `QRY_EQUALS`
`static int` | `QRY_GREATER_THAN`
`static int` | `QRY_GREATER_THAN_OR_EQ`
`static int` | `QRY_IN_LIST`
`static int` | `QRY_ISNULL`
`static int` | `QRY_LESS_THAN`
`static int` | `QRY_LESS_THAN_OR_EQ`
`static int` | `QRY_NEGATIVE`
`static int` | `QRY_NOT_IN_LIST` Identifies keys to access localizable object
`static int` | `QRY_NOT_RESOLVED`
`static int` | `QRY_STARTS_WITH`
`static int` | `ROLLBACK_CHANGES`
`static int` | `RUNTIME_MESSAGE`
`static int` | `SWITCH_TO_READ_ONLY_VIEW`
`static int` | `TITLE_BROWSE_FORM`
`static int` | `TITLE_EDIT_FORM`
`static int` | `TITLE_NEW_RECORD`
`static int` | `TITLE_VIEW_FORM`

Fields inherited from class oracle.ide.util.ArrayResourceBundle
`contents`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`Res()`

Method Summary
`static java.lang.String` | `format(int index, java.lang.Object param1)`
`static java.lang.String` | `format(int index, java.lang.Object param1, java.lang.Object param2)`
`static java.lang.String` | `format(int index, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)`
`static javax.swing.KeyStroke` | `getAccelerator(int key)`
`static char` | `getChar(int key)` Gets the character associated with the specified resource id.
`protected java.lang.Object[]` | `getContents()` Gets the localizable objects
`static javax.swing.Icon` | `getIcon(int key)`
`static java.lang.Integer` | `getInteger(int key)`
`static char` | `getMnemonic(int key)`
`static java.lang.Object` | `getObj(int key)` Gets the object associated with the specified resource id.
`static java.lang.String` | `getStr(int key)` Deprecated. - replace with getString
`static java.lang.String` | `getString(int key)` Gets the string associated with the specified resource id.

Methods inherited from class oracle.ide.util.ArrayResourceBundle
`getKeys, getObject, getStringArray, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QRY_NOT_IN_LIST

    public static final int QRY_NOT_IN_LIST

  Identifies keys to access localizable object

### MSG_VO_NOT_SELF_REF

    public static final int MSG_VO_NOT_SELF_REF

### BUTTON_SAVE_CHANGES

    public static final int BUTTON_SAVE_CHANGES

### TITLE_BROWSE_FORM

    public static final int TITLE_BROWSE_FORM

### COLUMN_CONDITION_PROMPT

    public static final int COLUMN_CONDITION_PROMPT

### QRY_STARTS_WITH

    public static final int QRY_STARTS_WITH

### QRY_GREATER_THAN_OR_EQ

    public static final int QRY_GREATER_THAN_OR_EQ

### GOTO_FIRST_RECORD

    public static final int GOTO_FIRST_RECORD

### QRY_GREATER_THAN

    public static final int QRY_GREATER_THAN

### GOTO_NEXT_PAGE

    public static final int GOTO_NEXT_PAGE

### MSG_NEW_ROW_NOT_SAVE

    public static final int MSG_NEW_ROW_NOT_SAVE

### ERROR_TEXT

    public static final int ERROR_TEXT

### PROMPT_PASSWORD

    public static final int PROMPT_PASSWORD

### GOTO_PREV_RECORD

    public static final int GOTO_PREV_RECORD

### MSG_VO_NOT_FOUND

    public static final int MSG_VO_NOT_FOUND

### TITLE_VIEW_FORM

    public static final int TITLE_VIEW_FORM

### GOTO_QUERY_FORM

    public static final int GOTO_QUERY_FORM

### RUNTIME_MESSAGE

    public static final int RUNTIME_MESSAGE

### BUTTON_ADD_CONDITION

    public static final int BUTTON_ADD_CONDITION

### BUTTON_CLEAR_QUERY

    public static final int BUTTON_CLEAR_QUERY

### QRY_ENDS_WITH

    public static final int QRY_ENDS_WITH

### COLUMN_VALUE_PROMPT

    public static final int COLUMN_VALUE_PROMPT

### COMMIT_CHANGES

    public static final int COMMIT_CHANGES

### GOTO_NEXT_RECORD

    public static final int GOTO_NEXT_RECORD

### QRY_EQUALS

    public static final int QRY_EQUALS

### COLUMN_NAME_PROMPT

    public static final int COLUMN_NAME_PROMPT

### GOTO_LAST_RECORD

    public static final int GOTO_LAST_RECORD

### MSG_CONDITION

    public static final int MSG_CONDITION

### GOTO_RECORD_NUMBER

    public static final int GOTO_RECORD_NUMBER

### MSG_CHANGES_SAVED

    public static final int MSG_CHANGES_SAVED

### ROLLBACK_CHANGES

    public static final int ROLLBACK_CHANGES

### MSG_DISCONNECTED

    public static final int MSG_DISCONNECTED

### DELETE_RECORD

    public static final int DELETE_RECORD

### MSG_NO_QRY_COLS

    public static final int MSG_NO_QRY_COLS

### GOTO_LOGOUT_FORM

    public static final int GOTO_LOGOUT_FORM

### GOTO_LOGIN_FORM

    public static final int GOTO_LOGIN_FORM

### MSG_NO_RECORD

    public static final int MSG_NO_RECORD

### QRY_BETWEEN

    public static final int QRY_BETWEEN

### QRY_ISNULL

    public static final int QRY_ISNULL

### EDIT_CURRENT_RECORD

    public static final int EDIT_CURRENT_RECORD

### SWITCH_TO_READ_ONLY_VIEW

    public static final int SWITCH_TO_READ_ONLY_VIEW

### QRY_CONTAINS_MULTIPLE

    public static final int QRY_CONTAINS_MULTIPLE

### BUTTON_EXECUTE_QUERY

    public static final int BUTTON_EXECUTE_QUERY

### QRY_IN_LIST

    public static final int QRY_IN_LIST

### QRY_LESS_THAN_OR_EQ

    public static final int QRY_LESS_THAN_OR_EQ

### QRY_NOT_RESOLVED

    public static final int QRY_NOT_RESOLVED

### QRY_CONTAINS

    public static final int QRY_CONTAINS

### DEFAULT_HOST_NAME

    public static final int DEFAULT_HOST_NAME

### QRY_NEGATIVE

    public static final int QRY_NEGATIVE

### BUTTON_CONNECT

    public static final int BUTTON_CONNECT

### MSG_CHANGES_CANCELLED

    public static final int MSG_CHANGES_CANCELLED

### BUTTON_POST_CHANGES

    public static final int BUTTON_POST_CHANGES

### INSERT_RECORD

    public static final int INSERT_RECORD

### TITLE_NEW_RECORD

    public static final int TITLE_NEW_RECORD

### MSG_NODATA

    public static final int MSG_NODATA

### QRY_LESS_THAN

    public static final int QRY_LESS_THAN

### MSG_QRY_WAS_RUN

    public static final int MSG_QRY_WAS_RUN

### NO_MORE_ROWS_MESSAGE

    public static final int NO_MORE_ROWS_MESSAGE

### GOTO_PREV_PAGE

    public static final int GOTO_PREV_PAGE

### TITLE_EDIT_FORM

    public static final int TITLE_EDIT_FORM

### PROMPT_USER_NAME

    public static final int PROMPT_USER_NAME

### FIND_FORM_TITLE

    public static final int FIND_FORM_TITLE

Constructor Detail

### Res

    public Res()

Method Detail

### getObj

    public static java.lang.Object getObj(int key)

  Gets the object associated with the specified resource id. By convention all LRB's should implement a getObj static method similar to the one below.

### getStr

    public static java.lang.String getStr(int key)

  Deprecated. - replace with getString

  Gets the string associated with the specified resource id. By convention all LRB's should implement a getStr static method similar to the one below.
  See Also:
    `getString(int)`

### getString

    public static java.lang.String getString(int key)

  Gets the string associated with the specified resource id. By convention all LRB's should implement a getStr static method similar to the one below. (Same as getStr)

### getChar

    public static char getChar(int key)

  Gets the character associated with the specified resource id. By convention all LRB's should implement a getChar static method similar to the one below.

### getInteger

    public static java.lang.Integer getInteger(int key)

### getMnemonic

    public static char getMnemonic(int key)

### getAccelerator

    public static javax.swing.KeyStroke getAccelerator(int key)

### getIcon

    public static javax.swing.Icon getIcon(int key)

### format

    public static java.lang.String format(int index,
                                          java.lang.Object param1)

### format

    public static java.lang.String format(int index,
                                          java.lang.Object param1,
                                          java.lang.Object param2)

### format

    public static java.lang.String format(int index,
                                          java.lang.Object param1,
                                          java.lang.Object param2,
                                          java.lang.Object param3)

### getContents

    protected java.lang.Object[] getContents()

  Gets the localizable objects
  Overrides:
    getContents in class oracle.ide.util.ArrayResourceBundle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD